// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__DA46FDE1_C20D_43EB_89C0_BC0BA7ED5B4C__INCLUDED_)
#define AFX_CHILDVIEW_H__DA46FDE1_C20D_43EB_89C0_BC0BA7ED5B4C__INCLUDED_

#include "bitmap1.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
public:
	CChildView() ;
	virtual ~CChildView();
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

public:
	void undo_prepare();

	CBitmapa tekstura;	
	CBitmapa tekstura_undo;	
	CBitmapa tekstura_copy;	
	COLORREF currentColor;


protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnFileNew();
	afx_msg void OnSave();
	afx_msg void OnFileOpen();
	afx_msg void OnEffectsEffect1();
	afx_msg void OnEffectsGrayscale();
	afx_msg void OnEffectsBrightnessLight();
	afx_msg void OnEffectsBrightnessNormal();
	afx_msg void OnEffectsBrightnessHeavy();
	afx_msg void OnViewChoosecolordialog();
	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	afx_msg void OnEditCut();
	afx_msg void OnFileLoadbmp();
	afx_msg void OnEffectsDarknessLight();
	afx_msg void OnEffectsDarknessNormal();
	afx_msg void OnEffectsDarknessHeavy();
	afx_msg void OnEditUndo();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

	void rysuj_bitmape(CDC *);
	void rysuj_teksturke(CDC *);
	void rysuj_kwadracik(CDC * _dc,int x,int y,COLORREF _color);
	void rysuj_linie(int,int,int,int,CDC *);
	boolean is_copy_empty;	// do stwierdzenia czy jest cos w schowku
	boolean is_drawing;		// do kopiowania do schowka, ma byc kopiowane to 
							// co byo przed naciniciem myszki
};

/////////////////////////////////////////////////////////////////////////////


#endif // !defined(AFX_CHILDVIEW_H__DA46FDE1_C20D_43EB_89C0_BC0BA7ED5B4C__INCLUDED_)
